
#ifndef LIBATLANTIKUI_EXPORT_H
#define LIBATLANTIKUI_EXPORT_H

#ifdef LIBATLANTIKUI_STATIC_DEFINE
#  define LIBATLANTIKUI_EXPORT
#  define LIBATLANTIKUI_NO_EXPORT
#else
#  ifndef LIBATLANTIKUI_EXPORT
#    ifdef atlantikui_EXPORTS
        /* We are building this library */
#      define LIBATLANTIKUI_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIBATLANTIKUI_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIBATLANTIKUI_NO_EXPORT
#    define LIBATLANTIKUI_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIBATLANTIKUI_DEPRECATED
#  define LIBATLANTIKUI_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIBATLANTIKUI_DEPRECATED_EXPORT
#  define LIBATLANTIKUI_DEPRECATED_EXPORT LIBATLANTIKUI_EXPORT LIBATLANTIKUI_DEPRECATED
#endif

#ifndef LIBATLANTIKUI_DEPRECATED_NO_EXPORT
#  define LIBATLANTIKUI_DEPRECATED_NO_EXPORT LIBATLANTIKUI_NO_EXPORT LIBATLANTIKUI_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIBATLANTIKUI_NO_DEPRECATED
#    define LIBATLANTIKUI_NO_DEPRECATED
#  endif
#endif

#endif /* LIBATLANTIKUI_EXPORT_H */
